Create Test From Call
curl --request POST \
--url https://api.revring.ai/v1/test-suites/{id}/tests/from-call \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"callId": "<string>",
"focus": "<string>",
"save": true
}
'import requests
url = "https://api.revring.ai/v1/test-suites/{id}/tests/from-call"
payload = {
"callId": "<string>",
"focus": "<string>",
"save": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({callId: '<string>', focus: '<string>', save: true})
};
fetch('https://api.revring.ai/v1/test-suites/{id}/tests/from-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"saved": true,
"test": {
"name": "<string>",
"script": "<string>",
"scoringRubric": "<string>",
"variables": {}
}
}
}{
"data": {
"saved": true,
"test": {}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Test Suites
Create Test From Call
Draft a test case from a real call: the caller’s side becomes the script and the call’s failed success criteria (or focus) the scoring rubric. The call’s variables are replayed. Saved to the suite unless save is false.
POST
/
test-suites
/
{id}
/
tests
/
from-call
Create Test From Call
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
Test suite ID
Body
application/json
Response
Draft (save: false)
Show child attributes
Show child attributes